%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Clone
Version:       0.37
Release:       1mamba
Summary:       Clone - recursively copy Perl datatypes
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/G/GA/GARU/Clone-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Taint::Runtime)
BuildRequires: perl(Test::More)
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module provides a clone() method which makes recursive copies of nested hash, array, scalar and
reference types, including tied variables and objects.

%prep
%setup -q -n Clone-%{version}

find . -type f -exec chmod -c -x {} ';'

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone/
%{_mandir}/man3/*.3pm.gz
%doc Changes

%changelog
* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.37-1mamba
- automatic update by autodist

* Mon Dec 16 2013 Automatic Build System <autodist@mambasoft.it> 0.36-1mamba
- automatic update by autodist

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 0.35-1mamba
- automatic update by autodist

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 0.34-1mamba
- update to 0.34

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31-2mamba
- perl 5.16 mass rebuild

* Thu Feb 17 2011 gil <puntogil@libero.it> 0.31-1mamba
- package created by autospec
